package org.rcisoft.common.component;

import com.google.common.collect.Maps;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/2
 * Time: 下午3:50
 * description: global config
 */
@Component
@Data
public class Global {


    /**
     * 保存全局属性值
     */
    static Map<String, String> map = Maps.newHashMap();

    @Value("${global.other.server_url}")
    private String SERVER_URL;

    @Value("${global.other.server_linux}")
    private String SERVER_LINUX;
    
    @Value("${global.path.base_upload_server_location}")
    private String BASE_UPLOAD_SERVER_LOCATION;
    
    @Value("${global.path.freemarker_location}")
    private String FREEMARKER_LOCATION;
    
    @Value("${global.path.image_location}")
    private String IMAGE_LOCATION;
    
    @Value("${global.path.video_location}")
    private String VIDEO_LOCATION;
    
    @Value("${global.path.temp_location}")
    private String TEMP_LOCATION;
    
    @Value("${global.path.file_location}")
    private String FILE_LOCATION;
    
    @Value("${global.path.excel_template_location}")
    private String EXCEL_TEMPLATE_LOCATION;
    
    @Value("${global.path.cource_logo_location}")
    private String COURCE_LOGO_LOCATION;
    
    @Value("${global.path.images_location}")
    private String IMAGES_LOCATION;
    
    @Value("${global.default_location.course}")
    private String DEFAULT_COURSE_LOCATION;
    
    @Value("${global.default_location.student}")
    private String DEFAULT_STUDENT_LOCATION;
    
    @Value("${global.default_location.teacher}")
    private String DEFAULT_TEACHER_LOCATION;
    
    @Value("${global.default_location.carousel}")
    private String DEFAULT_CAROUSEL_LOCATION;
    
    @Value("${global.path.lanch_logo_location}")
    private String LANCH_LOGO_LOCATION;
    
    @Value("${global.path.md_file_location}")
    private String MD_FILE_LOCATION;
    
    @Value("${global.other.login_secert_key}")
    private String LOGIN_SECERT_KEY;
    
    @Value("${jwt.header}")
    private String JWT_HEADER;
    
    @Value("${jwt.tokenHead}")
    private String JWT_TOKEN_HEAD;
    
    @Value("${global.other.is_server_linux}")
    private String IS_SERVER_LINUX;
    
    @Value("${global.other.max_code_length}")
    private String MAX_CODE_LENGTH;
    
    @Value("${global.git_lab.stu_prefix}")
    private String GIT_LAB_STU_PREFIX;
    
    @Value("${global.git_lab.tea_prefix}")
    private String GIT_LAB_TEA_PREFIX;
    
    @Value("${global.git_lab.project_prefix}")
    private String GIT_LAB_PROJECT_PREFIX;
    
    @Value("${global.git_lab.defaul_branch}")
    private String GIT_LAB_DEFAUL_BRANCH;
    
    @Value("${global.che.start_delay}")
    private String CHE_START_DELAY;
    
    @Value("${global.che.copy_delay}")
    private String CHE_COPY_DELAY;
    
    @Value("${global.che.ws_start_delay}")
    private String CHE_WS_START_DELAY;
    
    @Value("${global.che.stop_delay}")
    private String CHE_STOP_DELAY;
    
    @Value("${global.che.max_number}")
    private String CHE_MAX_NUMBER;
    
    @Value("${global.che.start_time}")
    private String CHE_START_TIME;
    
    @Value("${global.che.ip}")
    private String CHE_IP;
    
    @Value("${global.che.tmp_location}")
    private String CHE_TMP_LOCATION;
    
    @Value("${global.git_lab.ip}")
    private String GIT_LAB_IP;
    
    @Value("${global.git_lab.port}")
    private String GIT_LAB_PORT;
    
    @Value("${global.other.session_admin_header_value}")
    private String SESSION_ADMIN_HEADER_VALUE;
    
    @Value("${global.password.min_password}")
    private String PASSWORD_MIN_PASSWORD;
    
    @Value("${global.password.max_password}")
    private String PASSWORD_MAX_PASSWORD;
    
    @Value("${global.path.che_def_template_location}")
    private String CHE_DEF_TEMPLATE_LOCATION;
    
    @Value("${global.path.che_project_init_location}")
    private String CHE_PROJECT_INIT_LOCATION;


}
